import request from '@/utils/request'

// 创建用户信息
export function createInfo(data) {
  return request({
    url: '/system/info/create',
    method: 'post',
    data: data
  })
}

// 更新用户信息
export function updateInfo(data) {
  return request({
    url: '/system/info/update',
    method: 'put',
    data: data
  })
}

// 删除用户信息
export function deleteInfo(id) {
  return request({
    url: '/system/info/delete?id=' + id,
    method: 'delete'
  })
}

// 获得用户信息
export function getInfo(id) {
  return request({
    url: '/system/info/get?id=' + id,
    method: 'get'
  })
}

// 获得用户信息分页
export function getInfoPage(query) {
  return request({
    url: '/system/info/page',
    method: 'get',
    params: query
  })
}

// 导出用户信息 Excel
export function exportInfoExcel(query) {
  return request({
    url: '/system/info/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
